//
//  Shader.vsh
//  Wumbo
//
//  Created by Wade McGillis on 10/26/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//
//#version 120
attribute vec4 position;
attribute vec4 color;
attribute vec2 texcoord0;
attribute vec3 normal;

uniform mat4 supermatrix;

varying vec4 vertexColor;
varying vec2 texcoord0frag;
void main()
{
	vec4 finalPosition = position * supermatrix;
	vertexColor = color;
	vertexColor.rgb *= (3.0 + dot(normal,vec3(1,1,0)))/4.0;
	texcoord0frag = texcoord0;
	gl_Position = finalPosition;
}
